Skip to main content

Create a comment

Create a comment inside a task.

Parameters

content
string
required
Content of the comment.
format
enum
required
The comment format. One of text, html.
attachments
array
Array of file IDs to attach. Each file can be used only once.

Returns

Returns the created comment object. Throws an error if some parameters are not valid.

post
/api/tasks/{id}/comments
curl -X POST https://{workspace}.kitchen.co/api/tasks/{id}/comments \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"author": "u_c01bb6102b6ddadd4b1f020e",
"attachments": [
"fi_081dcab571f6c37d709078ce"
],
"board": "tskb_1lbg89ha9ttb5dmxuldku3nx",
"task": "tsk_1lbg89ha9ttb5dmxuldku3nx",
"content": "The comment content",
"created_at": "2024-01-23T23:09:00+00:00",
"format": "text",
"id": "msg_3447589816730d8ba4e50528",
"send_at": null,
"updated_at": "2024-01-23T23:09:00+00:00"
}